@import "../../../shared/scss/color.scss";
@import "../../../shared/scss/global.scss";

.post {
  background-color: $background-color;
  border-radius: 7px;

  a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
  }
  .main {
    background-color: $background-color;
    padding: 20px;
    border-radius: 7px;

    .content {
      display: flex;

      .right {
        width: 11%;
        .avatar {
          img {
            width: 80px;
            height: 80px;
            border-radius: 100%;
            object-fit: cover;
          }
        }
      }
      .left {
        width: 89%;
        .title-box {
          padding-top: 10px;
          width: 100%;
          overflow: auto;
          .title {
            text-align: right;
            display: inline-block;
            float: right;
            overflow: auto;
            font-size: 16px;
            font-weight: bold;
            color: $black-color;
          }
          .type {
            display: inline-block;
            text-align: left;
            float: left;
            overflow: auto;
            // font-weight: bold;
            font-size: 12px;
            background-color: #eeeeee;
            padding: 5px 10px;
            box-shadow: 1px 1px 5px #999999;
            border-radius: 7px;
            margin-left: 5px;
            color: $black-color;
          }
          .date {
            width: 100%;
            display: block;
            overflow: auto;
            padding-top: 15px;
            font-size: 12px;
            color: gray;
            font-weight: bold;
          }
        }
        .desc {
          padding-top: 20px;
          font-size: 14px;
          p {
            color: $description-color;
            line-height: 2;
          }
        }
      }
    }
    .img {
      margin: 20px auto 0 auto;
      width: 100%;
      height: 300px;
      border-radius: 7px;
      img {
        width: 100%;
        height: 100%;
        box-shadow: 1px 1px 7px gray;
        border-radius: 7px;
        object-fit: cover;
      }
    }
  }
  .actions {
    width: 100%;
    background-color: #eeeeee;
    display: flex;
    border-radius: 0 0 7px 7px;
    a {
      padding: 10px 20px;
      text-decoration: none;
      cursor: pointer;
      position: relative;
      span {
        font-size: 14px;
        position: relative;
        color: $description-color;
        font-weight: bold;
        display: inline-block;
      }
      fa-icon {
        padding-left: 5px;
        font-size: 18px;
        color: $description-color;
        display: inline-block;
      }
      .copy-box {
        margin: -6px 10px 0 0;
        display: inline-block;
        background-color: #444444;
        padding: 10px 0;
        position: absolute;
        text-align: center;
        color: #ffffff;
        transition: 0.1s all ease-in-out;
        opacity: 0;
        width: 70px;
        font-size: 12px;
        font-weight: bold;
        border-radius: 7px;
        &::after {
          content: "";
          position: absolute;
          border-style: solid;
          top: 50%;
          left: 100%;
          margin-top: -5px;
          border-width: 5px;
          border-color: transparent transparent transparent #444444;
        }
      }
    }
  }
}

.switch-tooltip {
  .show-tooltip {
    opacity: 1 !important;
  }
}
